API_KEY='live_...'
TASK_ID='abc123'
curl --request GET \
--url "https://api.scale.com/v2/datasets/task?task_id=$TASK_ID" \
--header "Authorization: Bearer $API_KEY"{
"task_id": "task_123",
"delivery": "delivery_123",
"dataset": "dataset_123",
"response": {
"key_1": "value_1",
"key_2": "value_2"
}
}{
"status_code": 500,
"error": "An error has occurred."
}Tasks
Get a Dataset Task
Retrieve a Dataset Task from its task_id.
GET
/
v2
/
datasets
/
task
API_KEY='live_...'
TASK_ID='abc123'
curl --request GET \
--url "https://api.scale.com/v2/datasets/task?task_id=$TASK_ID" \
--header "Authorization: Bearer $API_KEY"{
"task_id": "task_123",
"delivery": "delivery_123",
"dataset": "dataset_123",
"response": {
"key_1": "value_1",
"key_2": "value_2"
}
}{
"status_code": 500,
"error": "An error has occurred."
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Query Parameters
Scale's unique identifier for the task. Unique identifier for a task
Example:
"task_abc123"
Response
Complete task.
Unique identifier for the task.
Example:
"task_abc123"
Response associated with the dataset task.

